function y = prop_sigtau2(sigtau2, pars, prior, nobs)
% f(Z_t|Z_t-1,X_bar,gamma,Phi,Omega,sigma2_tau) is affected by sigma2_tau
% but the Q-process is unchanged

prop.sigtau2 = sigtau2 ;
prop.Sigma_tilde = pars.omega - (pars.gamma * pars.gamma') * prop.sigtau2 ;
if invalidCovMat(prop.Sigma_tilde)
    y = NaN ;
    return 
else
    prop.llkP = llk_P(pars.tau, pars.X, pars.Xbar, pars.Phi, pars.gamma, pars.omega, prop.sigtau2, nobs) ;
    prop.lprior = log(dinvgamma(prop.sigtau2, prior.alpha_eta/2, prior.delta_eta/2))+...
       log(diwish(prop.Sigma_tilde, prior.kappa, prior.Psi)) ;
end
if ~isfinite(prop.lprior)
    y = NaN ;
else
    y = prop ;
end

end
